logomoneymotion
CheckoutsessionsRpc
background
moneymotion Docs
moneymotion Docs
Checkout Sessions Get Checkout Session Refund Details
POST
/rpc/CheckoutSessionsGetCheckoutSessionRefundDetails
checkoutIdUUID

a Universally Unique Identifier

Match^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Formatuuid

Response Body

curl -X POST "https://api.moneymotion.io/rpc/CheckoutSessionsGetCheckoutSessionRefundDetails" \  -H "Content-Type: application/json" \  -d '{    "checkoutId": "a21b4d66-7585-4979-80ec-60ea35b35821"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "checkoutSessionId": "e4b3bd08-5189-40bd-bc1b-0dd256297c90",
  "paymentIntentId": "8a86594b-ac91-4146-aa27-ff5b5bb4a688",
  "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",
  "method": "void",
  "status": "pending",
  "amountInCents": 0,
  "feeInCents": 0,
  "netInCents": 0,
  "createdAt": "string",
  "arrivingToCustomerAt": "string"
}